@extends('layouts.app')

@section('header')
    <div class="container-fluid bg-light pt-3 mb-3 border-bottom">

        <!-- Customer company name row -->
        <div class="row justify-content-center py-4">
            <div class="col-2"></div>
            <div class="col">
                <h2></h2>
            </div>
        </div>
    </div>
@endsection()

@section('content')
    <div class="container">
        <div class="row justify-content-center mb-3">
            <div class="col">
                <div class="d-flex flex-row gap-2">
                    <button class="btn btn-primary" title="Create new customer..."
                            data-bs-toggle="modal"
                            data-bs-target="#createCustomerModal">
                        <x-bi-person-plus-fill/>
                        Create entry
                    </button>

                    <div class="vr"></div>

                    <div class="d-inline-flex gap-2">
                        <input type="text" class="form-control" placeholder="Search..."
                                name="" id="">
                        <button class="btn btn-outline-primary">
                            <x-bi-search/>
                        </button>
                    </div>

                    <div class="mx-auto"></div>

                    <button class="btn btn-danger" title="Delete customer..."
                            data-bs-toggle="modal"
                            data-bs-target="#deleteCustomerModal">
                        <x-bi-trash-fill/>
                        Delete entry
                    </button>
                </div>
            </div>
        </div>

        <div class="row mb-3">
            <div class="col">
                @if(sizeof($customers) !== 0)
                    <table class="table table-striped table-hover">
                        <thead>
                        <tr class="border-bottom border-black">
                            <th scope="col">Company Name</th>
                            <th scope="col">Internal Name</th>
                            <th scope="col">Shipping Address</th>
                            <th scope="col">Billing Address</th>
                            <th scope="col">Phone</th>
                            <th scope="col">View</th>
                        </tr>
                        </thead>

                        <tbody>

                        @foreach($customers as $customer)
                            <tr>
                                <td> {{$customer->company_name}} </td>
                                <td><code>{{$customer->internal_name}}</code></td>
                                <td> {{$customer->shipping_address}} </td>
                                <td> {{$customer->billing_address}} </td>
                                <td class="text-nowrap"> {{$customer->phone}} </td>
                                <td class="align-top"><a class="btn btn-sm btn-outline-secondary"
                                            href="{{route('customers.show', $customer->id)}}">
                                        <x-bi-arrow-right/>
                                    </a></td>
                            </tr>
                        @endforeach

                        </tbody>
                    </table>

                @else()
                    No customer data.
                @endif
            </div>
        </div>
    </div>

    <!-- Create Customer Modal -->
    @include('customers.create-modal')

    <!-- Delete Customer Modal -->
    @include('customers.delete-all-modal')

@endsection
